API referenceEndpointsConnect
Authorization
RanglerApiKey X-API-Key<token>
In: header
Path Parameters
connection_id*Connection Id
Format
uuidQuery Parameters
client_user_id?|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.rangler.co/v1/connect/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/positions"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"connection_id": "d3547de1-d1f2-4344-b4c2-17169b7526f9",
"account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65",
"symbol": "string",
"name": "string",
"quantity": "string",
"unit_price": "string",
"market_value": "string",
"currency": "string",
"as_of": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "not_found",
"code": "not_found",
"message": "Company not found",
"request_id": "9f5237bc-7d8c-4a9d-9c1f-fbd4ef236cf9"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}